@import "permanent/colors.scss";

body {
  background-color: $white;
  font-family: "Lora", serif;
}

a {
  text-decoration: none;
}

a:hover {
  text-decoration: none;
}

.our-story {
  margin-top: 50px;

  h3 {
    margin-bottom: 20px;
    color: $pink;
  }

  img {
    position: absolute;
    width: 541px;
    top: -60px;
    left: 35px;
    border-radius: 5px;
    z-index: 2;
  }

  .bio {
    border: 1px solid $gray-dark;
    border-radius: 5px;

    .text {
      padding: 30px 0;
    }

    p {
      line-height: 30px;
      font-size: 15px;
      color: $gray-dark;
      text-align: justify;
    }
  }
}

div.hr {
  margin: 80px 0;

  h2 {
    text-align: center;
    color: #334d5c;
    background-color: #fff;
    padding: 15px;
    position: relative;
    font-size: 25px;
    z-index: 2;
    width: 310px;
    top: 5px;
    margin: auto;
    text-transform: uppercase;
  }

  .hr-content {
    position: relative;
  }

  img {
    position: absolute;
    width: 85%;
    right: 0;
    left: 0;
    top: -20px;
    margin: auto;
    display: block;
  }
}

.lighten-color {
  background-color: rgba($color: $white, $alpha: 0.5);
}

.navbar-light .navbar-nav .active > .nav-link,
.navbar-light .navbar-nav .nav-link.active,
.navbar-light .navbar-nav .nav-link.show,
.navbar-light .navbar-nav .show > .nav-link {
  color: $pink;
}

.navbar-light .navbar-nav .nav-link {
  color: $green;
  transition-duration: 0.4s;
}

.navbar-light .navbar-nav .nav-link:focus,
.navbar-light .navbar-nav .nav-link:hover {
  color: $pink;
  transition-duration: 0.4s;
}

.carousel-toolbox {
  position: absolute;
  right: 60px;
  top: 25%;
  color: $pink;

  .vertical-line {
    width: 5px;
    height: 300px;
    display: inline-block;
    border-radius: 3px;
    right: 3px;
    position: relative;
    background-color: $pink;
    @media screen and (max-width: 640px) {
      display: none;
    }
  }

  .vertical-line-fill {
    width: 10px;
    height: 100px;
    transition: "height 1s ease-in-out";
    border-radius: 3px;
    display: inline-block;
    right: 0;
    top: 0;
    position: absolute;
    background-color: $pink;
    @media screen and (max-width: 640px) {
      display: none;
    }
  }

  .text {
    display: block;
    transform: rotate(270deg);
    position: absolute;
    right: -14px;
    bottom: -40px;
  }
}

.circle {
  &.fill {
    background-color: $pink;
    font-size: 30px;
  }

  &.bordered {
    border: 1.4px solid $pink;
    font-size: 20px;

    a {
      color: $pink-light;

      &:hover {
        color: $pink;
      }
    }

    i {
      text-align: center;
      position: relative;
      top: 3px;
      left: 1px;
      margin-right: 3px;
    }
  }

  position: relative;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  color: $white;
  z-index: 100000;

  a {
    transition-duration: 0.4s;
    width: 40px;
    display: inline-block;

    &:hover {
      transition-duration: 0.4s;
    }

    i {
      position: absolute;
      right: 0;
      top: 5px;
      bottom: 0;
      left: 0;
    }
  }
}

.carousel-pagination {
  position: absolute;
  bottom: 0;
  right: 20px;

  ul li {
    display: inline-block;
  }
}

.mr-30 {
  margin-right: 10px;
}

.hidden {
  visibility: hidden;
}

.box-container {
  position: relative;
  bottom: 60px;
}

.box {
  background-color: $white;
  color: $green;
  border-radius: 5px;
  padding: 5px;
  // -moz-box-shadow:    inset 0 0 10px #000000;
  // -webkit-box-shadow: inset 0 0 10px #000000;
  box-shadow: 3px 4px 10px rgba($color: #646464, $alpha: 0.8);

  img {
    margin-bottom: 10px;
    border-radius: 5px;
  }

  ul {
    float: right;
    margin-right: 10px;

    li {
      display: inline;
    }
  }
}

.font-big {
  font-size: 20px;
}

.pink {
  color: $pink;
}

.radius {
  border-radius: 8px;
}

.mb-100 {
  margin-bottom: 100px;
}

.mb-40 {
  margin-bottom: 40px;
}

.mt-40 {
  margin-top: 40px;
}

.bg-pink {
  color: $green;
  background-color: $pink;
}

.pd-10 {
  padding: 10px;
}

.mt-20 {
  margin-top: 20px;
}

.mb-20 {
  margin-bottom: 20px;
}

footer {
  background-color: $green;
  color: $white;

  .content {
    padding: 80px;
  }

  .socials {
    ul li {
      display: inline-block;
    }
  }
}

.pink-light {
  color: $pink-light;
}

.bg-pink-light {
  color: $green;
  background-color: $pink-light;
}

.crumb {
  display: flex;
  flex-wrap: wrap;
  padding: 0.75rem 1rem;
  margin-bottom: 1rem;
  list-style: none;
  background-color: #eeeeee66;
  border-radius: 0.25rem;
  padding: 45px;

  h2 {
    display: inline-block;
    text-transform: uppercase;
    color: $green;
    font-weight: bold;
    font-style: italic;
    font-size: 1.8rem;
    font-family: "Lora";
  }

  ol {
    text-decoration: none;
    font-size: 1.5rem;
    text-align: right;
    display: inline-block;
    position: absolute;
    right: 0;

    .crumb-item + .crumb-item::before {
      display: inline-block;
      padding-right: 0.5rem;
      color: #6c757d;
      content: ">";
    }

    li {
      display: inline-block;
      margin-right: 5px;

      &.active {
        a {
          color: $pink;
        }
      }

      a {
        color: $gray;
        transition-duration: 0.4s;

        &:hover {
          text-decoration: none;
          color: $pink;
          transition-duration: 0.4s;
        }
      }
    }
  }
}

.container {
  &.crumb {
    position: relative;
    background-color: transparent;
    padding: 0;
    margin-bottom: 0;
  }
}

.nav {
  &.centered {
    justify-content: center;
  }
}

.nav-tabs .nav-link {
  border-bottom: 1px solid #dee2e6;
}

.nav-tabs {
  border-bottom: 1px solid transparent;

  a.nav-link {
    color: $green;

    &:hover {
      color: $pink;
    }
  }
}

.nav-tabs .nav-link {
  border: none;
  border-bottom: 1px solid #dee2de;
  transition-duration: 0.4s;

  &.active {
    transition-duration: 0.4s;
    border-bottom: 6px solid $pink !important;
  }
}

.nav-tabs .nav-item.show .nav-link,
.nav-tabs .nav-link.active {
  color: #495057;
  background-color: #fff;
  // border-color: #dee2e6 #dee2e6 #fff;
  border-bottom: 1px solid #dee2de;
}

.tab-pane img {
  border-radius: 10px;
}

.container-overlay {
  position: relative;

  .image {
    display: block;
    width: 100%;
    height: auto;
  }

  .overlay {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: rgba(248, 187, 208, 0.6);
    overflow: hidden;
    width: 90%;
    height: 90%;
    margin: 15px;
    -webkit-transform: scale(0);
    -ms-transform: scale(0);
    transform: scale(0);
    -webkit-transition: 0.3s ease;
    transition: 0.3s ease;
  }

  &:hover .overlay {
    -webkit-transform: scale(1);
    -ms-transform: scale(1);
    transform: scale(1);
  }

  h4 {
    color: white;
    font-size: 20px;
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    text-align: center;
  }
}

.vase {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;

  height: 100%;
  width: 100%;
  opacity: 0;
  transition: 0.5s ease;
  background-color: rgba($color: $pink-light, $alpha: 0.8);
}

.post {
  margin-bottom: 50px;

  &.bordered {
    border: 1.4px solid $gray;
    border-radius: 5px;
    font-size: 20px;
  }

  img {
    margin-left: 0;
  }
  &.left {
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
  }
  &.right {
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
  }
  .content {
    display: flex;
    align-items: left;
    justify-content: center;
    flex-direction: column;
    height: 100%;
    margin: 0 15px;
  }

  .info {
    color: $gray-dark;
    font-size: 14px;
    margin-bottom: 8px;

    span {
      margin-right: 30px;
    }
  }

  h2 {
    font-size: 20px;
  }

  p {
    font-size: 14px;
    color: $gray-dark;
  }

  hr {
    border-color: $gray;
  }

  .tags {
    color: $gray-dark;

    a {
      color: $pink-light;

      &:hover,
      &:focus,
      &:active {
        color: $pink;
      }
    }

    span:after {
      content: ",";
    }
  }

  .operations {
    position: relative;

    .btn-primary {
      position: absolute;
      right: 30px;
    }
  }
}

.btn-primary {
  background-color: $pink-light;
  border: None;
  border-radius: 30px;

  &:hover,
  &:active &:focus {
    background-color: $pink;
  }
}

.pagination-container {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0;

  ul {
    margin-left: 0;
    padding: 10px;
    background-color: $gray;

    border-radius: 30px;
    list-style: none;
    display: flex;
    flex-direction: row;

    li {
      display: flex;
      align-content: center;
      justify-content: center;
      flex-direction: column;
      margin-right: 10px;

      &:last-child {
        margin-right: 0;
      }

      &:first-child,
      &:last-child {
        &:hover {
          background-color: $pink;
        }

        background-color: $pink-link;
        transition-duration: 0.4s;

        a {
          color: #fff;
        }
      }

      &:hover {
        background-color: $pink-light;
        cursor: pointer;

        a {
          color: #fff;
        }
      }

      &.active {
        background-color: $pink-light;
        transition-duration: 0.4s;
        cursor: auto;

        a {
          color: #fff;
          cursor: auto;
        }
      }

      width: 40px;
      height: 40px;
      border-radius: 40px;
      background-color: $pink;
      text-align: center;

      a {
        color: #000;
        transition-duration: 0.4s;

        &:hover,
        &:focus,
        &:active {
          color: #fff;
          text-decoration: none;
          transition-duration: 0.4s;
        }
      }
    }
  }
}

.carousel-pagination {
  position: absolute;
  bottom: 20px;
  right: 100px;
}

.carousel-item {
  img {
    height: 900px;
  }

  @media screen and (max-width: 1000px) {
    img {
      height: 600px;
    }
  }
  @media screen and (max-width: 800px) {
    img {
      height: 500px;
    }
  }
  @media screen and (max-width: 640px) {
    img {
      height: 250px;
    }
  }  
}

.detail-post {
  img {
    margin-bottom: 45px;
  }

  hr {
    margin-bottom: 40px;
    margin-top: 40px;
  }

  p {
    color: $gray;
  }
}

.detail {
  font-size: 14px;
  color: $gray;
  margin-bottom: 40px;

  .author {
    margin-right: 35px;
  }
}

.share-container {
  position: relative;
  width: 400px;
  display: block;
  height: 100px;
}

.detail-info {
  margin-bottom: 50px;

  .post-pagination {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    margin-top: 30px;
    color: #c2c2c2;

    .active {
      color: #707070;
    }

    span {
      margin-right: 5px;
      margin-left: 5px;
    }

    a {
      &:hover {
        text-decoration: none;
      }
    }
  }

  .pages {
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .circle {
    width: 45px;
    height: 45px;
    color: $gray;
    background-color: #dee2de;
    margin-right: 10px;
    margin-left: 10px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
}

// SHARE

$backgroundColor: #e5eef3;
$buttonColor: #dee2e6;
$textColor: $gray;
$hoverColor: #fff;
$facebook: #3b5998;
$twitter: #61c5ec;
$google: #ea4335;
$github: #000000;

.share {
  position: absolute;
  width: 400px;
  left: 50%;
  margin-left: -200px;
  top: 50%;
  margin-top: -40px;
  border-radius: 80px;

  .icon {
    color: $facebook;
  }

  span {
    width: 200px;
    line-height: 80px;
    display: inline-block;
    font-weight: 700;
    text-transform: uppercase;
    position: absolute;
    left: 45%;
    margin-left: -100px;
    opacity: 1;
    transition: opacity 0.3s ease-in-out;
    pointer-events: none;
  }

  nav {
    font-size: 0;
  }

  a {
    line-height: 80px;
    width: 80px;
    text-align: center;
    display: inline-block;
    background-color: $buttonColor;
    color: $buttonColor;
    overflow: hidden;
    opacity: 1;
    transition: all 0.3s ease-in-out;
    margin: 0 -20px;
    box-shadow: 3px 1px 3px rgba(0, 0, 0, 0.1);

    &:nth-child(1) {
      border-top-left-radius: 40px;
      border-bottom-left-radius: 40px;
      margin-left: 0;

      &:hover {
        background-color: $twitter;
      }
    }

    &:nth-child(2):hover {
      background-color: $facebook;
    }

    &:nth-child(3):hover {
      background-color: $google;
    }

    &:nth-child(4) {
      border-top-right-radius: 40px;
      border-bottom-right-radius: 40px;
      margin-right: 0;

      &:hover {
        background-color: $github;
      }
    }
  }

  &:hover,
  &.hover {
    span {
      opacity: 0;
    }

    a {
      border-radius: 50%;
      margin: 0 10px;
      color: $textColor;
      font-size: 28px;

      &:hover {
        color: $hoverColor;
      }
    }
  }
}

.contact {
  margin-top: 50px;
  margin-bottom: 50px;
}

.card {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 20px;

  h3 {
    color: $pink;
  }

  p {
    margin-top: 10px;
    font-size: 19px;
    color: #8b8b8b;
  }
}

.contact-form {
  background-color: #efefef;
  margin-bottom: 30px;
  padding: 30px;

  form {
    padding: 10px;

    input {
      &::placeholder {
        color: $pink-light;
      }
    }

    textarea {
      &::placeholder {
        color: $pink-light;
        font-size: 20px;
      }
    }
  }
}

.modal {
  transition: 0.2s;
  .modal-header {
    border-bottom: none;
    .close {
      color: $white;
    }
  }
  .modal-content {
    background-color: $green;
  }
  img {
    width: 100%;
    padding: 25px;
  }
}

.accordions {
  margin-top: 20px;
  margin-bottom: 20px;
}

.accordion {
  background-color: #fff;
  padding: 20px;
  border-top-left-radius: 7px;
  border-top-right-radius: 7px;

  h3 {
    color: $green;
    text-transform: uppercase;
    font-size: 20px;
  }

  p {
    font-size: 18px;
    color: $pink;
  }

  i {
    color: $pink;
    font-size: 30px;
    margin-top: 5px;
  }

  ul.navigator {
    list-style-type: none;

    li {
      &:first-child {
        float: left;
        display: flex;
        justify-content: center;
      }

      &:last-child {
        float: right;
        display: flex;
        justify-content: center;
      }
    }
  }
}

.accordion-card {
  border-bottom: 0.5px solid #c2c2c2;
  border-left: 0.5px solid #c2c2c2;
  border-right: 0.5px solid #c2c2c2;
  padding: 20px;
}

.accordion-container {
  margin-bottom: 20px;
  margin-top: 20px;
}

.pink {
  color: $green !important;
}

.complex-box {
  background-color: #000;
}

.testimonial {
  margin-bottom: 80px;

  .card {
    padding: 0 !important;
  }
}

.owl-one {
  .item {
    height: 390px;
  }

  .owl-nav {
    button {
      &:hover {
        background: transparent !important;
      }

      i {
        width: 50px;
        height: 50px;
        background-color: #b7b7b7;
        color: grey !important;
        font-size: 26px;
        color: #fff;
        border-radius: 50px;

        &:before {
          position: relative;
          top: 11px;
        }
      }
    }

    .owl-next {
      i {
        margin-right: 80px;
      }
    }
  }

  .owl-dots {
    display: none;
  }
}

.contact-form {
  .btn {
    background-color: $pink;
    border-radius: 50px;
    color: #fff;

    &:hover {
      background-color: $pink-link;
    }
  }
}

.accordion {
  padding-bottom: 70px;
  font-family: "vazir";
  /* Accordion styles */
}

.accordion h1 {
  margin: 0;
  line-height: 2;
  text-align: center;
}

.accordion h2 {
  margin: 0 0 0.5em;
  font-weight: normal;
}

.accordion input {
  position: absolute;
  opacity: 0;
  z-index: -1;
}

.accordion .row {
  display: flex;
}

.accordion .row .col {
  flex: 1;
}

.accordion .row .col:last-child {
  margin-left: 1em;
}

.accordion .tabs {
  border-radius: 8px;
  overflow: hidden;
}

.accordion .tab {
  width: 100%;
  color: white;
  overflow: hidden;
}

.accordion .tab-label {
  border-radius: 5px;
  border: none;
  padding: 25px;
  background: $light;
  position: relative;
  display: flex;
  justify-content: space-between;
  margin-top: 30px;
  margin-bottom: 0;
  font-weight: bold;
  color: $green;
  font-size: 22px;
  cursor: pointer;
  /* Icon */
}

.accordion .tab-label .arrow {
  padding: 25px;
  position: absolute;
  background-color: transparent;
  right: 0;
  top: 0;
}

.accordion .tab-label .arrow svg {
  width: 25px;
  transition: 0.2s;
}

.accordion .tab-label .arrow svg g path {
  fill: $pink-link;
}

.accordion .tab-content {
  max-height: 0;
  padding: 0 1em;
  color: #2c3e50;
  background: white;
  transition: all 0.35s;
  border: solid 1px $light;
  border-radius: 5px;
  opacity: 0;
}

.accordion .tab-content h3 {
  font-size: 20px;
  color: #848282;
  text-align: center;
  margin: 20px 0;
}

.accordion .tab-close {
  display: flex;
  justify-content: flex-end;
  padding: 1em;
  font-size: 0.75em;
  background: #2c3e50;
  cursor: pointer;
}

.accordion input:checked + .tab-label .arrow svg {
  transform: rotate(180deg);
}

.accordion input:checked ~ .tab-content {
  padding: 30px;
  max-height: 600px;
  opacity: 1;
}

.card {
  border: none;
  border-radius: 0;
  position: relative;
  margin: auto;
  width: 75%;
  margin-top: 53px;

  .card-box {
    box-shadow: 0 0 13px grey;
    padding: 25px 130px;
    position: static;
    background-color: #fff;
    z-index: 3;

    img {
      width: 80px;
      border-radius: 50px;
      border: 1px solid $gray-dark;
      margin: auto;
      display: block;
      margin-bottom: 29px;
    }

    p {
      text-align: justify;
      font-size: 16px;
    }

    h4 {
      color: $pink-light;
      text-align: center;
    }
  }

  .top,
  .topper {
    bottom: 100%;
    background-color: #fff;
    transition: 0.2s;
  }

  .top {
    height: 15px;
    width: 91%;

    box-shadow: 0 0 13px grey;
    position: absolute;
    z-index: 2;
  }

  .topper {
    height: 28px;
    width: 83%;
    box-shadow: 0 0 13px grey;
    position: absolute;
    z-index: 1;
  }

  &:hover {
    .topper {
      height: 36px;
    }

    .top {
      height: 19px;
    }
  }
}

@media (max-width: 1420px) {
  .carousel-pagination {
    position: absolute;
    bottom: 65px;
    right: 100px;
  }
}

@media (max-width: 1200px) {
  .our-story img {
    width: 520px;
  }
}

@media (max-width: 992px) {
  .our-story img {
    position: relative;
    width: 93%;
    top: 0;
    left: 0;
    margin: auto;
    display: block;
  }

  .owl-one .item {
    height: 475px;
  }

  .navbar-light .navbar-nav .nav-link {
    text-align: center;
  }

  header.landing {
    .box {
      margin-top: 25px;
      img {
        width: 100%;
      }
      span {
        display: block;
        text-align: center;
        font-size: 25px;
        margin: 20px 0;

        @media screen and (max-width: 640px) {
          font-size: 17px;
          margin: 0;
        }
      }
    }
  }

  .our-story {
    .bio {
      top: -160px;
      margin-bottom: -170px;

      .text {
        padding-top: 175px;
      }
    }
  }

  div.hr h2 {
    top: 0;
  }
}

@media (max-width: 768px) {
  div.hr img {
    width: 100%;
  }
  .container-overlay .overlay {
    margin: 12px;
  }
  .card .card-box {
    padding: 25px 20px;
  }

  div.hr h2 {
    font-size: 17px;
    width: 220px;
  }
  .post img {
    border-radius: 0;
    margin-bottom: 15px;
  }
}

@media (max-width: 564px) {
  .carousel-toolbox {
    right: 15px;
  }
  .circle {
    width: 30px;
    height: 30px;
    a {
      width: 29px;
    }
    &.fill {
      font-size: 20px;
    }
  }
  .crumb {
    h2 {
      margin-bottom: 70px;
    }
    ol {
      bottom: 0;
      a {
        font-size: 20px;
      }
    }
  }
  footer .content {
    padding: 50px 15px;
  }
  .circle.bordered i {
    top: -3px;
    left: 1px;
    font-size: 16px;
  }
  .carousel-pagination {
    position: absolute;
    bottom: 30px;
    right: 10px;
  }
  .navbar-brand {
    img {
      width: 170px;
    }
  }
  .container-overlay .overlay {
    margin: 0;
    width: 100%;
    height: 100%;
  }

  .testimonial {
    .card {
      width: 100%;
    }
  }
}

h1 {
  @media screen and (max-width: 1024px) {
    &.social-text {
      font-size: 1.9rem;
    }
  }
}

.social-pic {
  @media screen and (max-width: 769px) {
    display: none !important;
  }
}

